﻿using MauiAppStock.Models;
using MauiAppStock.Data;
using Microsoft.Maui.Controls.Internals;

namespace MauiAppStock.Views
{
    public partial class AddPiecePage : ContentPage
    {
        public AddPiecePage()
        {
            InitializeComponent();
            LoadAppareils();
        }

        private async void LoadAppareils()
        {
           // FournisseurPicker.ItemsSource = await Database.GetAppareilsAsync();
        }

        private async void OnSaveClicked(object sender, EventArgs e)
        {
            
            if (double.TryParse(PrixEntry.Text, out double prix) && int.TryParse(StockEntry.Text, out int stock))
            {
               // Appareil appareilPicked = AppareilPicker.SelectedItem as Appareil;

                // if (appareilPicked == null)
                //{
                //    await DisplayAlert("ERREUR", "L'appareil n'est pas un valide", "OK");
                //    return;
                //}
                
                var piece = new Piece
                {
                    Nom = NomEntry.Text,
                    Description = DescriptionEditor.Text,
                    Prix = prix,
                    Stock = 0
                    // Appareil = appareilPicked.Id, Exemple pour fournisseur
                    //Fournisseur = FournisseurEntry.Text
                };
                await Database.AddPieceAsync(piece);
                await Navigation.PopAsync();
            }
            else
            {
                await DisplayAlert("Erreur", "Veuillez vérifier les valeurs du prix et du stock.", "OK");
            }
        }
    }
}